%define name cpudyn
%define version 1.0.1
%define release 1mdk

Summary: A tools to control CPU frequency
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://mnm.uib.es/gallir/cpudyn/download/%{name}-%{version}.tar.bz2
Source1: %{name}.initscript.bz2
License: GPL
Group: System/Kernel and hardware
Url: http://mnm.uib.es/~gallir/cpudyn/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
ExclusiveArch: %ix86 ppc
PreReq: rpm-helper
Requires: cpufreq

%description
This program control the speed in Intel SpeedStep, Pentium 4 Mobile
and PowerPC machines with the cpufreq compiled in the kernel.

It allows to reduce cpu speed in order to save battery and reduce 
temperature of the processor. It can also put the drive on standby mode.


Tested with 2.4, Pentium 3 Speedstep Laptop (Dell Latitude),
Pentium 4 Mobile Laptop (Dell Inspiron), AMD Power Now, Apple iBook,
IBM Thinkpad. cpudyn is just a user space program, so it will work on
every processor supported by the kernel's cpufreq driver.

%prep
%setup -q -n %name

%build
%make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot{%_sbindir,%_mandir/man8,%_sysconfdir/sysconfig,%_initrddir}
cp cpudynd %buildroot%_sbindir/cpudynd
#bzip2 cpudynd.8
cp cpudynd.8 %buildroot%_mandir/man8/

bzcat %SOURCE1 > %buildroot%_initrddir/%name
chmod +x %buildroot%_initrddir/%name

cat > %buildroot/%_sysconfdir/sysconfig/%name <<EOF
# see man 8 cpudynd  for details
OPTS="-i 1 -p 0.5 0.90"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_sbindir/cpudynd
%_mandir/man8/cpudynd*
%config(noreplace) %_sysconfdir/sysconfig/%{name}
%config(noreplace) %_initrddir/%{name}

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%changelog
* Sat Mar 19 2005 Michael Scherer <misc@mandrake.org> 1.0.1-1mdk
- New release 1.0.1
- rpmbuildupdatable

* Fri Jan 14 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0-4mdk
- change initscript level to start after cpufreq (Davy Defaud <davy.defaud@free.fr>)

* Wed Nov 03 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0-3mdk
- Fix bug #12246 (-f %%sysconfdir/sysconfig/%%name instead -x)

* Tue Aug 24 2004 Erwan Velu <erwan@mandrakesoft.com> 1.0-2mdk
- Requires cpufreq 

* Tue Jun 01 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0-1mdk
- 1.0 

* Fri May 07 2004 Michael Scherer <misc@mandrake.org> 0.99.0-2mdk
- remove rpmlint errors
- improved description
- fix %%post script

 
* Wed Apr 21 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.99.0-1mdk
- 0.99.0
 
* Thu Jan 15 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.6.1-1mdk
- 0.6.1

* Sun Jan 11 2004 Olivier Thauvin <nanardon@klama.mandrake.org> 0.6.0-1mdk
- 0.6.0

* Sun Dec 28 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.0-1mdk
- 0.5.0
- compil with $RPM_OPT_FLAGS
 
* Tue Dec 09 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4.8-1mdk
- 0.4.8
- add %%preun, %%post service

* Fri Oct 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.7-1mdk
- 0.4.7

* Fri Oct 10 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4.6-1mdk
- 1st mdk package
